Description

Hi.

Some benchmarks are slow since r37631.

I guess DTrace's proves affect CRuby's performance.

Is it possible to fix?

app_answer:

r37629 0.153(sec)

r37631 0.196

app_fib:

r37629 1.497

r37631 2.005

app_tak:

r37629 2.048

r37631 2.984

app_tarai:

r37629 1.713

r37631 2.42

app_raise:

r37629 0.792

r37631 0.85

so_ackermann:

r37629 1.809

r37631 2.529

Please see also this site: http://www.narihiro.info/crubybenci/

Thanks.

Associated revisions

Revision 4ba69a41d8373bfdc17f54a1d5f16886ad3f6371 - 11/22/2012 06:28 AM - naruse (Yui NARUSE)

vm_insnhelper.h: partly revert r37631 (DTrace support).

"vm usage information is always collected, so uncomment the

functions." causes performance impact. [Bug #7370]

Off course this revert disables related probes.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37796 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4ba69a41 - 11/22/2012 06:28 AM - naruse (Yui NARUSE)

vm_insnhelper.h: partly revert r37631 (DTrace support).

"vm usage information is always collected, so uncomment the

functions." causes performance impact. [Bug #7370]

Off course this revert disables related probes.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37796 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4d7e8b7305c392646f68a785df8f4019ec1e69c9 - 11/22/2012 08:01 AM - kosaki (Motohiro KOSAKI)

Makefile.in: run preprocessor when making probe.h

probes.d: define probe insn and insn__operand only when

VM_COLLECT_USAGE_DETAILS is 1. [Bug #7370]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37798 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4d7e8b73 - 11/22/2012 08:01 AM - kosaki (Motohiro KOSAKI)

Makefile.in: run preprocessor when making probe.h

probes.d: define probe insn and insn__operand only when

VM_COLLECT_USAGE_DETAILS is 1. [Bug #7370]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37798 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 86541e02c18e6ccdd0c0c632da06120a04a9ef11 - 11/22/2012 08:41 AM - kosaki (Motohiro KOSAKI)

tool/gen_dummy_probes.rb: don't change #include, #if and #endif

lines. [Bug #7370]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37799 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 86541e02 - 11/22/2012 08:41 AM - kosaki (Motohiro KOSAKI)

tool/gen_dummy_probes.rb: don't change #include, #if and #endif

lines. [Bug #7370]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37799 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/16/2012 05:45 PM - authorNari (Narihiro Nakamura)

- Assignee changed from ko1 (Koichi Sasada) to tenderlovemaking (Aaron Patterson)

Aaron-san, Could you check it?

Thanks.

#2 - 11/16/2012 05:59 PM - ko1 (Koichi Sasada)

(2012/11/16 16:51), authorNari (Narihiro Nakamura) wrote:

Some benchmarks are slow since r37631.

I guess DTrace's proves affect CRuby's performance.

Is it possible to fix?

 He missed to argue about the important thing:

His measurement environment is Linux and DTrace should be inactive!!

--

// SASADA Koichi at atdot dot net

#3 - 11/22/2012 03:28 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r37796.

Narihiro, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

vm_insnhelper.h: partly revert r37631 (DTrace support).
"vm usage information is always collected, so uncomment the

functions." causes performance impact. [Bug #7370]

Off course this revert disables related probes.

#4 - 11/22/2012 03:38 PM - naruse (Yui NARUSE)

- Status changed from Closed to Assigned

#5 - 11/22/2012 05:01 PM - kosaki (Motohiro KOSAKI)

- Status changed from Assigned to Closed

This issue was solved with changeset r37798.

Narihiro, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

Makefile.in: run preprocessor when making probe.h

probes.d: define probe insn and insn__operand only when

VM_COLLECT_USAGE_DETAILS is 1. [Bug #7370]
